using System;
using System.Collections.Generic;
using System.Text;

using MbUnit.Framework;
using SeSMbUnit;

namespace SmarteStudioSamples
{
    [TestFixture]
    public class SmarteStudioSamples
    {
        /// <summary>
        /// Execute "AnalogRecorder" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\AnalogRecorder\\AnalogRecorder.sstest")]
        public void TestAnalogRecorder()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "CrossBrowser" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\CrossBrowser\\CrossBrowser.sstest")]
        public void TestCrossBrowser()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingDLLHandlerManaged" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingDLLHandlerManaged\\UsingDLLHandlerManaged.sstest")]
        public void TestDLLHandlerManaged()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(1, exitCode);
        }

        /// <summary>
        /// Execute "DLLHandlerUnManaged" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingDLLHandlerUnManaged\\UsingDLLHandlerUnManaged.sstest")]
        public void TestDLLHandlerUnManaged()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "DotNet20" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\DotNet20\\DotNet20.sstest")]
        public void TestDotNet20()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingImageCheckPoint" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingImageCheckPoint\\UsingImageCheckPoint.sstest")]
        public void TestUsingImageCheckPoint()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "SmarteATM" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\SmarteATM\\SmarteATM.sstest")]
        public void TestSmarteATM()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingMSAccess" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingMSAccess\\UsingMSAccess.sstest")]
        public void TestUsingMSAccess()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingMSExcel" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingMSExcel\\UsingMSExcel.sstest")]
        public void TestUsingMSExcel()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            // Fail-test. Exit code should be 1
            Assert.AreEqual(1, exitCode);
        }

        /// <summary>
        /// Execute "UsingMSWord" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingMSWord\\usingMSWord.sstest")]
        public void TestUsingMSWord()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            // Fail-test. Exit code should be 1
            Assert.AreEqual(1, exitCode);
        }

        /// <summary>
        /// Execute "UsingReporting" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingReporting\\UsingReporting.sstest")]
        public void TestUsingReporting()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            // This test should fail. So we expect return code to be 1 (failed).
            Assert.AreEqual(1, exitCode);
        }

        /// <summary>
        /// Execute "SimulatedObject" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\SimulatedObject\\SimulatedObject.sstest")]
        public void TestSimulatedObject()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingSpreadSheet" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingSpreadSheet\\UsingSpreadSheet.sstest")]
        public void TestUsingSpreadSheet()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingCustomStrings" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingCustomStrings\\UsingCustomStrings.sstest")]
        public void TestUsingCustomStrings()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingInclude" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingInclude\\UsingInclude.sstest")]
        public void TestUsingInclude()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingRegistry" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingRegistry\\UsingRegistry.sstest")]
        public void TestUsingRegistry()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

        /// <summary>
        /// Execute "UsingXML" Sample
        /// </summary>
        [SeSMbUnitTest("%SMARTESTUDIO%\\Samples\\UsingXML\\UsingXML.sstest")]
        public void TestUsingXML()
        {
            int exitCode = SeSMbUnitHelper.TestExecute();
            Assert.AreEqual(0, exitCode);
        }

    }
}
